org.codehaus.plexus.lifecycle

## Class DefaultLifecycleHandlerManager

- java.lang.Object
- - org.codehaus.plexus.lifecycle.DefaultLifecycleHandlerManager

All Implemented Interfaces:
  LifecycleHandlerManager

    public class DefaultLifecycleHandlerManager
    extends java.lang.Object
    implements LifecycleHandlerManager

Version:
  $Id: DefaultLifecycleHandlerManager.java 7797 2008-10-28 17:41:43Z dain $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultLifecycleHandlerManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLifecycleHandler(LifecycleHandler lifecycleHandler)`
`LifecycleHandler` `getLifecycleHandler(java.lang.String id)`
`void` `initialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLifecycleHandlerManager

    public DefaultLifecycleHandlerManager()

### Method Detail

#### addLifecycleHandler

    public void addLifecycleHandler(LifecycleHandler lifecycleHandler)

Specified by:
  `addLifecycleHandler` in interface `LifecycleHandlerManager`

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `LifecycleHandlerManager`

#### getLifecycleHandler

    public LifecycleHandler getLifecycleHandler(java.lang.String id)
                                         throws UndefinedLifecycleHandlerException

Specified by:
  `getLifecycleHandler` in interface `LifecycleHandlerManager`
Throws:
  `UndefinedLifecycleHandlerException`